Bug 165683 - gcj not auto-detected ?
gcj not auto-detected ?
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-08-11 07:57 EDT by Rodd Clarkson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 04:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
JRE is Defective dialog (11.35 KB, image/png)
2005-08-11 07:57 EDT, Rodd Clarkson
no flags Details
Initial "connection" warning (11.92 KB, image/png)
2005-08-11 07:58 EDT, Rodd Clarkson
no flags Details
More "connection" warning information (13.43 KB, image/png)
2005-08-11 07:59 EDT, Rodd Clarkson
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 53220 None None None Never

  None (edit)
Description Rodd Clarkson 2005-08-11 07:57:16 EDT
Description of problem:

I get a JRE is Defective error when I do the followin:

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Launch 'openoffice.org-1.9 -base' for a terminal.  (Strangely the Database
launcher is no longer in Applications > Office and you can't open a new database
from New > Database in an OOo window)
2. In the "Database Wizard" dialog, select "Create a new database" and click Finish
3. In the "Save" dialog, click Save
4. In the "New Database x" window click on tables.
Actual results:

OOo gives a "JRE is Defective" error (see attachment) and then when you click OK
it says the connection to the data source couldn't be established (see next two

Expected results:

OOo Base lets you into the table section.
Comment 1 Rodd Clarkson 2005-08-11 07:57:16 EDT
Created attachment 117640 [details]
JRE is Defective dialog
Comment 2 Rodd Clarkson 2005-08-11 07:58:53 EDT
Created attachment 117641 [details]
Initial "connection" warning
Comment 3 Rodd Clarkson 2005-08-11 07:59:58 EDT
Created attachment 117642 [details]
More "connection" warning information
Comment 4 Caolan McNamara 2005-08-11 08:07:38 EDT
a) "launcher is no longer in Applications > Office", install openoffice.org-base
to get that. Our UI guys dictated this change

b) on the substantive issue, this will almost certainly boil down to a gcj
problem or perhaps a hsqldb one
what's the output of...
rpm -q libgcj
rpm -q hsqldb
I'm not seeing this error at the moment. i386 platform ?

and what's listed in tools->options->openoffice.org->java ?
Comment 5 Rodd Clarkson 2005-08-11 08:46:52 EDT
I have not installed openoffice.org-base. (No change to this after doing that.)


Okay, this is where is gets interesting.

I looked in tools > options > openoffice.org > java and it 'paused' for a while
while it searched for JREs (as there were none listed).  After a while it found
one called Free Software Foundation v1.4.2.  This option was not selected.

I selected this JRE and now the database works properly.

I'm not going to close this bug, because for some reason OOo isn't finding a JRE
to use (even though it was there) and when it's forced to look (using the
options) it doesn't select the JRE even though it was the only one, so in my
opinion something has gone wrong still (the user shouldn't have to do all this
just to get the JRE to be recognised).
Comment 6 Caolan McNamara 2005-08-11 09:55:07 EDT
indeed, it's supposed to be auto-detected. I wish I'd thought to ask you to
attach your ~/.openoffice.org2.0/user/config/javasettings_Linux_x86.xml before I
asked  ou to check the tools->options :-(, that might have cast light on the

Had you ever installed e.g. the sun java, or ibm one and then uninstalled it ?
Comment 7 Rodd Clarkson 2005-08-11 19:19:01 EDT
No, I haven't installed either of these this time around, but I have just done a
complete reinstall where I used my existing home directory from my previous
install which had the Sun JRE (1.5) installed.

This might be the problem?
Comment 8 Caolan McNamara 2005-08-15 04:18:26 EDT
Yeah, I would expect that the 
~/.openoffice.org2.0/user/config/javasettings_Linux_x86.xml contained a
reference to the sun java which was no longer there. We can reproduce this
problem by installing jdk's getting OOo to autodetect and autoselect one, and
the replacing the auto-detected one with something else, 

i.e, http://qa.openoffice.org/issues/show_bug.cgi?id=53220, we need to see what
we should do, e.g. re-detect if the selected jdk is not available. But don't
want to search for a jdk on every startup, e.g. there user has no java installed
to start with and no intention of installing it

Note You need to log in before you can comment on or make changes to this bug.